##### basic_deadline_timer::basic_deadline_timer (2 of 7 overloads)

Constructor.

    template<
        typename ExecutionContext>
    basic_deadline_timer(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value >  = 0);

This constructor creates a timer without setting an expiry time. The `expires_at()` or `expires_from_now()` functions must be called to set an expiry time before the timer can be waited on.

###### Parameters

context

  An execution context which provides the I/O executor that the timer will use, by default, to dispatch handlers for any asynchronous operations performed on the timer.